# Statping

Status Page for monitoring your websites and applications with beautiful graphs, analytics, and plugins • https://github.com/statping-ng

See [this wiki page](https://github.com/statping-ng/statping-ng/wiki/Docker/) for more technical Docker related documentation.
<!-- metadata -->
* **Category**: Apps
* **Status**: 1, alpha
* **Image**: [`adamboutcher/statping-ng`](https://hub.docker.com/r/adamboutcher/statping-ng/), 4, upstream
* **Healthcheck**: No
* **Backups**: No
* **Email**: 1
* **Tests**: No
* **SSO**: No
<!-- endmetadata -->

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new statping --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Open the configured domain in your browser to finish set-up

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik
